This API creates a payment request from a payee (merchant) to a payer(customer or user).
Result Code
Post:
https://{{staging/production}}/upi/generatedynamicqrRequest Post Parameters:
| PARAMETER | Data Type | Description |
|---|---|---|
| OrderId | String | Only Alphabets and Digits are allowed. |
| Remarks | String | |
| CollectExpiryAfter | Number | Timeframe after which a qr code expires. |
| Amount | Number | |
| Latitude | String | Device Latitude |
| Longitude | String | Device Longitude |
| Location | String | Device Location |
| IPAddress | String | Device IP Address |
| DeviceSerial | String | Device Serial |
| DeviceOS | String | Device operating System Type |
| AppTechName | String | Name of the Application |
Sample Request Body
{
"OrderId":"ORDER12580546214126",
"Remarks":"For Limit",
"CollectExpiryAfter":"5",
"Amount":"10",
"Latitude":"19.181970",
"Longitude":"72.872060",
"Location":"400097",
"IPAddress":"10.0.77.13",
"DeviceSerial":"Chrome",
"DeviceOS":"Windows",
"AppTechName":"com.digikhata.in"
}Response Parameters:
| resultCode | String | Status of Transaction whether transaction pending, success or failed. | ||||||
| resultStatus | String | |||||||
| resultMessage | String | Status Message for the transaction. In case if the “resultStatus” of the request is “fail” then it will contain the reason for “Failure”. | ||||||
| Data |
| |||||||
Response:
{
"resultCode": "000",
"resultStatus": "success",
"resultMessage": "Success"
}Result Code
| Result Code | Result Status | Result Message |
|---|---|---|
| 401 | Fail | Access Denied |
| RNF | Fail | No merchant virtual id found. |
| 000 | Success | "", data = new { qrCodeImage = "" } |
| 001 | Fail | Unable to generate qr code |
| 500 | Fail | Sorry, your request is not processed please try after some time. Log_Id - |